Page MenuHomePhabricator

Add 'abusefilter-modify-global' to stewards at Meta-Wiki instead of having it through global group
Closed, ResolvedPublic

Description

Currently the permission is handled through Special:GlobalGroupPermissions, although if you try to create a global filter outside Meta it won't let you do it. It makes sense that this be part of the local steward group at Meta-Wiki unless of course there are technical restrictions to do so.

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added subscribers: JEumerus, Matanya, Aklapper. · View Herald TranscriptNov 15 2016, 12:05 PM

Change 321660 had a related patch set uploaded (by MarcoAurelio):
Set 'abusefilter-modify-global' to stewards locally at Meta-Wiki

https://gerrit.wikimedia.org/r/321660

Change 321660 merged by jenkins-bot:
Set 'abusefilter-modify-global' to stewards locally at Meta-Wiki

https://gerrit.wikimedia.org/r/321660

Mentioned in SAL (#wikimedia-operations) [2016-11-29T19:23:07Z] <thcipriani@tin> Synchronized wmf-config/abusefilter.php: SWAT: [[gerrit:321660|Set "abusefilter-modify-global" to stewards locally at Meta-Wiki]] T150752 (duration: 00m 45s)

MarcoAurelio closed this task as Resolved.Nov 29 2016, 7:52 PM
MarcoAurelio triaged this task as Low priority.
MarcoAurelio moved this task from To deploy to Done on the Wikimedia-Site-requests board.